"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schema = void 0;
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const schema = new Schema({
    jobId: {
        type: String,
        required: true,
        index: true,
        unique: true,
    },
    jobRunningId: {
        type: String,
        unique: true,
    },
    running: {
        type: Boolean,
        default: false,
    },
    startDate: {
        type: Date,
    },
    finishedDate: {
        type: Date,
    },
});
exports.schema = schema;
//# sourceMappingURL=CronModel.js.map