import { ErrorRequestHandler, RequestHandler } from 'express';
import { AbstractRoute } from './AbstractRouteProxy';
export declare type Controller = RequestHandler | ErrorRequestHandler;
/**
 * Route Schema
 */
export interface Route extends AbstractRoute {
    controller: Controller;
    method?: string;
    middlewares?: Array<Controller>;
}
