import { Route } from './RouteInterface';
import { Proxy } from './ProxyInterface';
import { RouteMiddleware } from './RouteMiddleware';
import { Request } from 'express';
export interface RequestPrivate extends Request {
    user: any;
}
export declare class Router {
    private routes;
    private proxies;
    private basePath;
    private server;
    private routesMiddleware;
    constructor(routes: Route[], proxies: Proxy[], routesMiddleware: RouteMiddleware[], basePath: string);
    load(): void;
    private createRouteProxy;
    private createRoute;
    private createRoutesMiddleware;
    private privateRouteMiddleware;
    private errorHandling;
}
