"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apm = void 0;
const elastic_apm_node_1 = __importDefault(require("elastic-apm-node"));
let apmClient;
exports.apm = apmClient;
if (process.env.APM_ENABLED === 'true') {
    try {
        exports.apm = apmClient = elastic_apm_node_1.default.start({
            serviceName: process.env.NODE_ENV === 'production' ?
                process.env.PROJECT_NAME :
                `${process.env.PROJECT_NAME}-${process.env.NODE_ENV || 'development'}`,
            serverUrl: process.env.APM_URL,
            logLevel: process.env.APM_LOG_LEVEL,
        });
    }
    catch (error) {
        console.log(error.message);
    }
}
//# sourceMappingURL=index.js.map