import mongoose from 'mongoose';
interface DatabaseOptions {
    connectionUrl?: string;
    enabled?: boolean;
    useUnifiedTopology?: boolean;
}
declare class Database implements DatabaseOptions {
    connectionUrl: string;
    enabled: boolean;
    useUnifiedTopology: boolean;
    constructor(options: DatabaseOptions);
    start(): Promise<mongoose.Mongoose>;
}
export { Database, DatabaseOptions };
